Quassel IRC - Bug #881

Quassel client 0.5.0 crash when connected, but idle
12/17/2009 12:42 AM - kitterma

Status: Closed Start date: 12/17/2009
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Version: 0.5.0 0S: Any
Description

Not certain exactly what happened as | was away from the computer when it crashed.

History

#1 - 12/17/2009 12:43 AM - kitterma
OS is Linux (Kubuntu 9.10)

#2 - 12/17/2009 12:44 AM - kitterma

Application that crashed: quasselclient

Version of the application: v0.5.0 (dist-638987¢)
KDE Version: 4.3.2 (KDE 4.3.2)

Qt Version: 4.5.2

Operating System: Linux 2.6.31-16-generic i686
Distribution: Ubuntu 9.10

What | was doing when the application crashed:
<In detail, tell us what you were doing when the application crashed.>

—— Backtrace:
Application: Quassel IRC (quasselclient), signal: Aborted
[Current thread is 1 (Thread Oxb774c760 (LWP 2919))]

Thread 4 (Thread 0xb2c8cb70 (LWP 2920)):

#0 0x0071c422 in __kernel_vsyscall ()

#1 0x00b77e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2 0x01f9778d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6

#3 0x004f9e67 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
0x0018a922 in ?7? () from /usr/lib/libQtNetwork.so0.4

0x004f8e32 in ?7? () from /usr/lib/libQtCore.so0.4

0x00b7380e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0

0x01f8a7ee in clone () from /lib/tls/i686/cmov/libc.s0.6
Thread 3 (Thread 0xae900b70 (LWP 4048)):

0 0x0071c422 in __kernel_vsyscall ()

1 0x00b78142 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
0x01f977e4 in pthread_cond_timedwait () from /lib/tls/i686/cmov/libc.s0.6

0x02ae59ff in ?? () from /ust/lib/libxine.so.1

0x00b7380e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0

0x01f8a7ee in clone () from /lib/tls/i686/cmov/libc.s0.6
Thread 2 (Thread 0xad4f3b70 (LWP 4051)):

#0 0x0071c422 in __kernel_vsyscall ()

#1 0x01f7cbab in poll () from /lib/tls/i686/cmov/libc.s0.6

0x00cc953b in g_poll () from /lib/libglib-2.0.s0.0

0x00cbc55b in ?? () from /lib/libglib-2.0.50.0

0x00cbc853 in g_main_context_iteration () from /lib/libglib-2.0.s0.0

0x005e80ca in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so0.4
0x004f5b73 in QThread::exec() () from /usr/lib/libQtCore.s0.4

0x02a8420a in ?7? () from /usr/lib/gt4/plugins/phonon_backend/phonon_xine.so

10 0x004f8e32 in ?? () from /usr/lib/libQtCore.so0.4

11 0x00b7380e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0

12 0x01f8a7ee in clone () from /lib/tls/i686/cmov/libc.s0.6
0x00614067 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so0.4
0x005e7c¢79 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlags>) () from /usr/lib/libQtCore.so0.4
Thread 1 (Thread 0xb774c760 (LWP 2919)):

[KCrash Handler]

#6 0x0071c422 in __kernel_vsyscall ()

#7 0x01ee84d1 in raise () from /lib/tls/i686/cmov/libc.so.6
#8 0x01eeb932 in abort () from /lib/tls/i686/cmov/libc.s0.6

#9 0x004eff8c in gt_message_output(QtMsgType, char const*) () from /usr/lib/libQtCore.so0.4
#10 0x004f006e in gFatal(char const®, ...) () from /usr/lib/libQtCore.so.4

#11 0x004f0165 in qt_assert(char const*, char const*, int) () from /usr/lib/libQtCore.s0.4

#12 0x08177c3c in ChannelBufferltem::attachlrcChannel (this=0xc2e6640, ircChannel=0xecd9ea0) at
/build/buildd/quassel-0.5.0/src/client/networkmodel.cpp:510

#13 0x0817960f in Networkltem::attachlrcChannel (this=0xbca33b0, ircChannel=0xecd9ea0) at
/build/buildd/quassel-0.5.0/src/client/networkmodel.cpp: 159

#14 0x08185b8c in Networkltem::qt_metacall (this=0xbca33b0, _c=QMetaObject::InvokeMetaMethod, _id=5, _a=0xbfcb9de8)
at /build/buildd/quassel-0.5.0/0bj-i486-linux-gnu/src/client/moc_networkmodel.cxx:93

#15 0x005ff263 in QMetaObiject::activate(QObject*, int, int, void**) () from /usr/lib/libQtCore.so.4

#16 0x005ffec2 in QMetaObject::activate(QObject*, QMetaObject const*, int, void™*) () from /ustr/lib/libQtCore.so.4

#17 0x081b6825 in Network::ircChannelAdded (this=0xb4a5e00, _t1=0xecd9ea0) at
/build/buildd/quassel-0.5.0/0bj-i486-linux-gnu/src/common/moc_network.cxx:410

#18 0x0819ab60 in Network::newlrcChannel (this=0xb4a5e00, channelname-=..., initData=...) at
/build/buildd/quassel-0.5.0/src/common/network.cpp:282

#19 0x081b75a8 in Network::addlrcChannel (this=0xb4a5e00, channel=...) at
/build/buildd/quassel-0.5.0/0bj-i486-linux-gnu/src/common/../../../src/lcommon/network.h:240

#20 0x081b6f89 in Network::qt_metacall (this=0xb4a5e00, _c=QMetaObject::InvokeMetaMethod, _id=36, _a=0xbfcb9f38) at
/build/buildd/quassel-0.5.0/0bj-i486-linux-gnu/src/common/moc_network.cxx:246

#21 0x081a6036 in SignalProxy::invokeSlot (this=0x8fd8048, receiver=0xb4a5e00, methodld=46, params-=..., returnValue=...) at
/build/buildd/quassel-0.5.0/src/common/signalproxy.cpp:796

#22 0x081a6e57 in SignalProxy::handleSync (this=0x8fd8048, sender=0xa844600, params=) at
/build/buildd/quassel-0.5.0/src/common/signalproxy.cpp:656

#23 0x081a719d in SignalProxy::receivePeerSignal (this=0x8fd8048, sender=0xa844600, requestType=@0xbfcbal7c, params=...) at
/build/buildd/quassel-0.5.0/src/common/signalproxy.cpp:592

#24 0x081a73a2 in SignalProxy::receivePackedFunc (this=0x8fd8048, sender=0xa844600, packedFunc=...) at
/build/buildd/quassel-0.5.0/src/common/signalproxy.cpp:566

#25 0x081a74d8 in SignalProxy::dataAvailable (this=0x8fd8048) at /build/buildd/quassel-0.5.0/src/common/signalproxy.cpp:817
#26 0x081b8233 in SignalProxy::qt_metacall (this=0x8fd8048, _c=QMetaObject::InvokeMetaMethod, _id=14, _a=0xbfcba2ac)
at /build/buildd/quassel-0.5.0/0bj-i486-linux-gnu/src/common/moc_signalproxy.cxx:107

#27 0x005ff263 in QMetaObiject::activate(QObject*, int, int, void**) () from /usr/lib/libQtCore.so.4

#28 0x005ffec2 in QMetaObject::activate(QObject*, QMetaObject const*, int, void™*) () from /ustr/lib/libQtCore.so.4

#29 0x00637907 in QlODevice::readyRead() () from /usr/lib/libQtCore.so0.4

#30 0x001c9be9 in ?? () from /usr/lib/libQtNetwork.so.4

#31 0x001bf5f8 in ?? () from /usr/lib/libQtNetwork.so.4

#32 0x001c40f6 in QSsISocket::gt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libQtNetwork.so.4

#33 0x005ff263 in QMetaObiject::activate(QObject*, int, int, void**) () from /usr/lib/libQtCore.so.4

#34 0x005ffec2 in QMetaObject::activate(QObject*, QMetaObject const*, int, void™*) () from /ustr/lib/libQtCore.so.4

#35 0x00637907 in QlODevice::readyRead() () from /usr/lib/libQtCore.so0.4

#36 0x00129032 in ?? () from /usr/lib/libQtNetwork.so.4
#37 0x0019619b in ?? () from /usr/lib/libQtNetwork.so.4

38 0x00197503 in ?7? () from /usr/lib/libQtNetwork.so.4

39 0x00f1bf54 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#40 0x00f2367c in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4

#41 0x008efbfa in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.s0.5

#42 0x005e96¢b in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /ust/lib/libQtCore.so.4

#43 0x006142ca in ?? () from /usr/lib/libQtCore.so0.4

#44 0x00cb8e78 in g_main_context_dispatch () from /lib/libglib-2.0.s0.0

#45 0x00cbc720 in ?? () from /lib/libglib-2.0.s0.0
#46 0x00cbc853 in g_main_context_iteration () from /lib/libglib-2.0.s0.0

#47 0x0061402c in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so0.4
#48 0x00fbcbe5 in ?? () from /usr/lib/libQtGui.so.4

#49 0x005e7c79 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4

#50 0x005e80ca in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4

#51 0x005ea53f in QCoreApplication::exec() () from /usr/lib/libQtCore.so0.4

#52 0x00f1bdd7 in QApplication::exec() () from /usr/lib/libQtGui.so.4

#53 0x08071bed in main (argc=) at /build/buildd/quassel-0.5.0/src/common/main.cpp:139

[
Report to http://bugs.quassel-irc.org/projects/quassel-irc/issues/new

#3 - 03/04/2010 07:01 PM - johu

- Status changed from New to Feedback

please give feedback, if this is resolved with quassel 0.5.2 or higher

#4 - 08/04/2010 09:15 PM - johu
- Status changed from Feedback to Closed
No feedback was given within 5 months.

07/18/2025 3/3


http://www.tcpdf.org

